const express = require('express');
const router = express.Router();
const activityLogController = require('../controllers/activityLogController');
const verifyAccessTokenMiddleware = require('../middleware/verifyAccessToken');

// Apply auth middleware to all routes
router.use(verifyAccessTokenMiddleware);

router.get('/', activityLogController.getAll);
router.get('/dashboard', activityLogController.getDashboardLogs);
router.get('/types', activityLogController.getTypes);

module.exports = router;
